Subject: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent directory

From: Andrea Corallo <[email-masked]>
Date: Sun, 21 Mar 2021 18:53:20 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 21 Mar 2021 16:28:12 +0000
>> 
>> I see, the target directory for a newly compiled .eln is the first entry
>> in `comp-eln-load-path', so HOME is not accounted and the trick didn't
>> applied.
>
> Right, makes sense.
>
>> Okay af739863b0 when running the testsuite is adding in front of
>> `comp-eln-load-path' a temporary directory such that now all native
>> compilations tests are deposed and loaded there.  Does is look like a
>> good solution?
>
> Yes, I think so.  But please add a note in test/Makefile.in, where
> this /nonexistent trick is set up, that if the name is changed,
> startup.el should be changed as well.

Right, ec12cdd197 does that, in case we'll find a more elegant way for
the future I'll clean this up.

> However, I've run the test suite after updating from Git, and that
> /nonexistent directory is still being created, with files
> comp-test-funcs, comp-test-funcs-dyn, comp-test-45603, and a few
> subr--trampoline* files.  The rest of the *.eln files created by the
> test are going to the temporary directory, but there's no
> emacs-testsuite-NNN subdirectory there.  Any ideas what could be
> causing that?

Mmhh no, not really.  These native compilations are triggered from the
"comp-tests.el" top-level but they should still obey to
`comp-eln-load-path' that we set earlier.

On my system these are create in the temporary dir, I'll think about but
we may need to debug this it sounds strange.

Thanks

  Andrea